Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.lcdui
Interface CommandListener

public interface CommandListener

This interface is used by applications which need to receive high-level events from the implementation. An application will provide an implementation of a `CommandListener` (typically by using a nested class or an inner class) and will then provide the instance to the `addCommand` method on a `Displayable` in order to receive high-level events on that screen.

The specification does not require the platform to create several threads for the event delivery. Thus, if a `CommandListener` method does not return or the return is not delayed, the system may be blocked. So, there is the following note to application developers:

- the `CommandListener` method should return immediately.

Since:
  MIDP 1.0
See Also:
  `Displayable.setCommandListener(javax.microedition.lcdui.CommandListener)`

Method Summary
`void` | `commandAction(Command c, Displayable d)` Indicates that a command event has occurred on `Displayable d`.

Method Detail

### commandAction

    public void commandAction(Command c,
                              Displayable d)

  Indicates that a command event has occurred on `Displayable d`.

  Parameters:
    `c` - a `Command` object identifying the command. This is either one of the applications have been added to `Displayable` with `addCommand(Command)` or is the implicit `SELECT_COMMAND` of `List`.
    `d` - the `Displayable` on which this event has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 2.0 of MID Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.